XmFontListAdd(3Xm)

NAME
XmFontListAdd — a compound string function that creates a new font list.

SYNOPSIS
#include <Xm/Xm.h>

XmFontList XmFontListAdd (oldlist, font, charset)
    XmFontList    oldlist;
    XFontStruct    * font;
    XmStringCharSet    charset;

DESCRIPTION
XmFontListAdd creates a new font list consisting of the contents of the oldlist and the new font list element being added. This function deallocates the oldlist after extracting the required information; therefore, do not reference oldlist thereafter.

oldlist
    Specifies a pointer to the font list to which an entry will be added.

font
    Specifies a pointer to a font structure for which the new font list is generated. This is the structure returned by the XLib XLoadQueryFont function.

charset
    Specifies the character set identifier for the font. This can be XmSTRING_DEFAULT_CHARSET.

RETURN VALUE
Returns a new font list.

RELATED INFORMATION
XmFontListCreate(3Xm).